Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.events
Class ContentEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.p13n.tracking.events.ContentEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

Direct Known Subclasses:
  DisplayCampaignEvent, DisplayContentEvent, DisplayProductEvent

    public abstract class ContentEvent

extends TrackingEvent

Event for tracking web site activity

See Also
  Serialized Form

Field Summary
`static String` | `DOCUMENT_ID` Event attribute key name for document id Attribute value is a String
`static String` | `DOCUMENT_TYPE` Event attribute key name for document type Attribute value is a String

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`ContentEvent(String theEventType, javax.servlet.http.HttpSession session, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId)` Create a new ContentEvent.
`ContentEvent(String theEventType, String theSessionId, String theUserId, String theXMLNamespace, String theXSDFile, String[] theSchemaKeys, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### DOCUMENT_TYPE

    public static final String DOCUMENT_TYPE

  Event attribute key name for document type Attribute value is a String

  See Also
    Constants Summary

### DOCUMENT_ID

    public static final String DOCUMENT_ID

  Event attribute key name for document id Attribute value is a String

  See Also
    Constants Summary

Constructor Detail

### ContentEvent

    public ContentEvent(String theEventType,
                        javax.servlet.http.HttpSession session,
                        String theXMLNamespace,
                        String theXSDFile,
                        String[] theSchemaKeys,
                        javax.servlet.http.HttpServletRequest theRequest,
                        String aDocumentType,
                        String aDocumentId)

  Create a new ContentEvent. This ctor must be used for tracking anonymous users.

  Parameters
    `theEventType` - the event type
    `session` - the HttpSession of the application servlet
    `theXMLNamespace` - the namespace for the XML schema representing the event
    `theXSDFile` - the XSD filename that stores the event's schema
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the content (optionally null)
    `aDocumentId` - Document ID for the content (optionally null)

### ContentEvent

    public ContentEvent(String theEventType,
                        String theSessionId,
                        String theUserId,
                        String theXMLNamespace,
                        String theXSDFile,
                        String[] theSchemaKeys,
                        javax.servlet.http.HttpServletRequest theRequest,
                        String aDocumentType,
                        String aDocumentId)

  Deprecated

  Create a new ContentEvent.

  Parameters
    `theEventType` - the event type
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theXMLNamespace` - the namespace for the XML schema representing the event
    `theXSDFile` - the XSD filename that stores the event's schema
    `theSchemaKeys` - the list of keys (in their order in the XSD schema) representing the data to be persisted in this event's XML
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the content (optionally null)
    `aDocumentId` - Document ID for the content (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.